openapi: 3.0.2
info:   
  title: Relatórios de inflação publicados
  version: "1.0"
  description: >-
    Em 1999, com a publicação do Decreto nº 3.088, de 21 de junho, foi
    implementado o regime de metas para a inflação.


    Nesse regime, como forma de prestação de contas, há determinação de que o Banco Central do Brasil deve divulgar, até o último dia de cada trimestre civil, relatório de inflação abordando o desempenho do regime de metas para a inflação, os resultados das decisões passadas de política monetária e a avaliação prospectiva da inflação.


    Dessa forma, o Relatório de Inflação apresenta as diretrizes das políticas adotadas pelo Comitê de Política Monetária (Copom), considerações acerca da evolução recente do cenário econômico e projeções para a inflação. As projeções são apresentadas em cenários com condicionantes para algumas variáveis econômicas. O Copom utiliza um conjunto amplo de modelos e cenários para orientar suas decisões de política monetária. Ao expor alguns desses cenários, o Copom procura dar maior transparência às decisões de política monetária, contribuindo para sua eficácia no controle da inflação, que é seu objetivo precípuo.


    <b>Sobre o conteúdo disponibilizado:</b>
    
    
    Esta API lista os relatórios de inflação já publicados e os respectivos metadados.


    O relatório é divulgado trimestralmente e é distribuído como um documento PDF, referenciado no recurso 'Relatórios de inflação', e separado em arquivos parciais, acessíveis no recurso 'Arquivos integrantes dos relatórios de inflação'. Além disso, o recurso 'Calendário de divulgação' disponibiliza as datas já agendadas para a divulgação dos próximos relatórios.
  license:
    url: http://www.opendefinition.org/licenses/odc-odbl
    name: Licença Aberta para Bases de Dados (ODbL) do Open Data Commons
  contact:
    url: https://www.bcb.gov.br/acessoinformacao/faleconosco
    name: Banco Central do Brasil
servers:
  - url: https://www.bcb.gov.br/api/servico/sitebcb/ri
    description: Ambiente de produção
paths:
  /relatorios:
    parameters: []
    get:
      summary: Relatórios de inflação
      responses:
        "200":
          description: Lista de relatórios de inflação obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/relatorios"
              examples:
                Lista de relatórios:
                  $ref: "#/components/examples/exemplo_relatorios"
      operationId: reportList
      description: >-
        Lista informações básicas dos últimos relatórios de inflação publicados.


        Exemplo de solicitação: [https://www.bcb.gov.br/api/servico/sitebcb/ri/relatorios?quantidade=5](https://www.bcb.gov.br/api/servico/sitebcb/ri/relatorios?quantidade=5)
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 5
            example: 3
          in: query
          name: quantidade
          description: Quantidade de relatórios a serem retornados
          required: true
      x-code-samples:
        - lang: Curl
          source: >
            curl -X GET
            "https://www.bcb.gov.br/api/servico/sitebcb/ri/relatorios?quantidade=5"

            -H "accept: application/json"
        - lang: Javascript - Node
          source: >
            var request = require("request");

            var options = {
              method: 'GET',
              url: 'https://www.bcb.gov.br/api/servico/sitebcb/ri/relatorios?quantidade=5',
              headers: 
              {   'cache-control': 'no-cache'
              } 
            };

            request(options, function (error, response, body) {
              if (error) throw new Error(error);
              console.log(body);
            });
        - lang: Python
          source: >
            import requests

            url = "https://www.bcb.gov.br/api/servico/sitebcb/ri/relatorios?quantidade=5"

            headers = {
              'content-type': "application/json",
              'cache-control': "no-cache"
              }
            response = requests.request("GET", url, headers=headers)

            print(response.text)
        - lang: Java
          source: >
            HttpResponse response =
            Unirest.get("https://www.bcb.gov.br/api/servico/sitebcb/ri/relatorios?quantidade=5")

            .header("cache-control", "no-cache")

            .asString();
  /arquivos-integrantes:
    parameters: []
    get:
      summary: Arquivos integrantes dos relatórios de inflação
      responses:
        "200":
          description: Lista de arquivos integrantes dos relatórios de inflação obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/arquivos_integrantes"
              examples:
                Lista de arquivos integrantes:
                  $ref: "#/components/examples/exemplo_integrantes"
      operationId: documentList
      description: >-
        Lista informações básicas dos arquivos que, juntos, compõem um relatório específico. A partir do relatório de setembro de 2021 está sendo disponibilizado um anexo estatístico em formato de planilha. Esse documento objetiva dar publicidade aos dados que suportaram a elaboração dos gráficos e das tabelas utilizados nos relatórios.


        Exemplo de solicitação: [https://www.bcb.gov.br/api/servico/sitebcb/ri/arquivos-integrantes?identificadorRelatorio=202103](https://www.bcb.gov.br/api/servico/sitebcb/ri/arquivos-integrantes?identificadorRelatorio=202103)
      parameters:
        - schema:
            type: string
            example: "202103"
            pattern: ^[0-9]{6}$
          in: query
          name: identificadorRelatorio
          description: Ano-mês que identifica o relatório de inflação, no formato AAAAMM
          required: true
      x-code-samples:
        - lang: Curl
          source: >
            curl -X GET
            "https://www.bcb.gov.br/api/servico/sitebcb/ri/arquivos-integrantes?identificadorRelatorio=202103"

            -H "accept: application/json"
        - lang: Javascript - Node
          source: >
            var request = require("request");

            var options = {
              method: 'GET',
              url: 'https://www.bcb.gov.br/api/servico/sitebcb/ri/arquivos-integrantes?identificadorRelatorio=202103',
              headers: 
              {   'cache-control': 'no-cache'
              } 
            };

            request(options, function (error, response, body) {
              if (error) throw new Error(error);
              console.log(body);
            });
        - lang: Python
          source: >
            import requests

            url = "https://www.bcb.gov.br/api/servico/sitebcb/ri/arquivos-integrantes?identificadorRelatorio=202103"

            headers = {
              'content-type': "application/json",
              'cache-control': "no-cache"
              }
            response = requests.request("GET", url, headers=headers)

            print(response.text)
        - lang: Java
          source: >
            HttpResponse response =
            Unirest.get("https://www.bcb.gov.br/api/servico/sitebcb/ri/arquivos-integrantes?identificadorRelatorio=202103")

            .header("cache-control", "no-cache")

            .asString();
  /proximos-relatorios:
    parameters: []
    get:
      summary: Calendário de divulgação
      responses:
        "200":
          description: Lista de próximos relatórios obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/calendario"
              examples:
                Próximos relatórios:
                  $ref: "#/components/examples/exemplo_futuros"
      operationId: futureReportsList
      description: >-
        Lista próximas datas de divulgação dos relatórios de inflação já agendadas a partir de uma data específica. O Relatório de
        Inflação será divulgado até o último dia de cada trimestre civil (de
        acordo com o artigo 5º do Decreto nº 3088 de 21/06/1999).
        

        Exemplo de solicitação: [https://www.bcb.gov.br/api/servico/sitebcb/ri/proximos-relatorios?inicioAgenda=2021-07-15](https://www.bcb.gov.br/api/servico/sitebcb/ri/proximos-relatorios?inicioAgenda=2021-07-15)
      parameters:
        - schema:
            type: string
            pattern: ^(\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])$
            example: "2021-07-15"
          in: query
          name: inicioAgenda
          description: Data de referência para identificar os relatórios futuros, no
            formato YYYY-MM-DD.
          required: true
      x-code-samples:
        - lang: Curl
          source: >
            curl -X GET
            "https://www.bcb.gov.br/api/servico/sitebcb/ri/proximos-relatorios?inicioAgenda=2021-07-15"

            -H "accept: application/json"
        - lang: Javascript - Node
          source: >
            var request = require("request");

            var options = {
              method: 'GET',
              url: 'https://www.bcb.gov.br/api/servico/sitebcb/ri/proximos-relatorios?inicioAgenda=2021-07-15',
              headers: 
              {   'cache-control': 'no-cache'
              } 
            };

            request(options, function (error, response, body) {
              if (error) throw new Error(error);
              console.log(body);
            });
        - lang: Python
          source: >
            import requests

            url = "https://www.bcb.gov.br/api/servico/sitebcb/ri/proximos-relatorios?inicioAgenda=2021-07-15"

            headers = {
              'content-type': "application/json",
              'cache-control': "no-cache"
              }
            response = requests.request("GET", url, headers=headers)

            print(response.text)
        - lang: Java
          source: >
            HttpResponse response =
            Unirest.get("https://www.bcb.gov.br/api/servico/sitebcb/ri/proximos-relatorios?inicioAgenda=2021-07-15")

            .header("cache-control", "no-cache")

            .asString();
components:
  schemas:
    relatorios:
      type: object
      additionalProperties: false
      properties:
        conteudo:
          type: array
          items:
            type: object
            additionalProperties: false
            properties:
              dataReferencia:
                type: string
                title: Data de referência da publicação
                format: date
                description: "Data de referência da publicação, com formato conforme especificação RFC-3339
                  (ex: 2021-09-03)"
                example: "2021-09-03"
              identificador:
                type: string
                title: Identificador do relatório
                description: Ano-mês do Relatório de Inflação, no formato AAAAMM
                pattern: ^[0-9]{6}$
                example: "202106"
              descricao:
                type: string
                title: Descricao
                description: Introdução ao relatório publicado
                example: O relatório de inflação apresenta as diretrizes das políticas adotadas
                  pelo Copom, considerações acerca da evolução recente do
                  cenário econômico e projeções para a inflação. As projeções
                  são apresentadas em cenários com condicionantes para algumas
                  variáveis econômicas. O Copom utiliza um conjunto amplo de
                  modelos e cenários para orientar suas decisões de política
                  monetária. Ao expor alguns desses cenários, o Copom procura
                  dar maior transparência às decisões de política monetária,
                  contribuindo para sua eficácia no controle da inflação, que é
                  seu objetivo precípuo.
              issn:
                type: string
                title: ISSN
                description: ISSN dos relatórios de inflação, sempre é ISSN 1517-6576
                example: ISSN 1517-6576
              edicao:
                type: string
                title: Edição
                description: Edição da publicação
                example: "2"
              volume:
                type: string
                title: Volume
                description: Volume da publicação
                example: "21"
              url:
                type: string
                title: Url
                description: Caminho completo para acesso ao arquivo PDF do relatório
                example: https://www.bcb.gov.br/content/ri/relatorioinflacao/202106/ri202106p.pdf
              linkPaginaBC:
                type: string
                title: Link para página no site do BC
                description: Caminho para acesso à página do Relatório de Inflação, no site do
                  Banco Central
                example: https://www.bcb.gov.br/publicacoes/ri/202012
            title: Conteudo
      required:
        - conteudo
      title: Relatórios
    arquivos_integrantes:
      description: ""
      type: object
      additionalProperties: false
      properties:
        conteudo:
          type: array
          uniqueItems: true
          description: Lista de arquivos
          items:
            type: object
            additionalProperties: false
            properties:
              url:
                type: string
                description: Caminho completo para acesso ao arquivo
                example: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103b6p.pdf
              nome:
                type: string
                description: Nome do arquivo
                example: ri202103b6p.pdf
              tamanho:
                type: string
                description: Tamanho do arquivo em bytes
              titulo:
                type: string
                description: Título do documento
              dataReferencia:
                type: string
                title: Data de referência publicação
                description: "Data de referência da publicação do documento, com formato conforme
                  especificação RFC-3339 (ex: 2021-09-03)"
                format: date
                example: "2021-09-03"
              ordem:
                title: Nro de ordem do arquivo
                type: number
                description: Ordem em que o conteúdo dos documentos é mostrado no sumário na página dos relatórios de inflação
      required:
        - conteudo
      title: Arquivos integrantes        
    calendario:
      description: ""
      type: object
      properties:
        conteudo:
          type: array
          uniqueItems: true
          minItems: 1
          items:
            type: object
            properties:
              evento:
                type: string
                description: Identificação do tipo de evento na agenda
                example: Relatório de Inflação
              dataEvento:
                type: string
                description: "Data do evento, com formato conforme especificação RFC-3339 (ex: 2021-09-03)"
                format: date
                example: "2022-01-19"
              descricao:
                type: string
                description: Descrição da agenda
      required:
        - conteudo
      title: Calendário        
  examples:
    exemplo_relatorios:
      value:
        conteudo:
          - dataReferencia: "2020-12-17"
            identificador: "202012"
            descricao: O relatório de inflação apresenta as diretrizes das políticas adotadas pelo Copom, considerações acerca da evolução recente do cenário econômico e projeções para a inflação. As projeções são apresentadas em cenários com condicionantes para algumas variáveis econômicas. O Copom utiliza um conjunto amplo de modelos e cenários para orientar suas decisões de política monetária. Ao expor alguns desses cenários, o Copom procura dar maior transparência às decisões de política monetária, contribuindo para sua eficácia no controle da inflação, que é seu objetivo precípuo.
            issn: ISSN 1517-6576
            edicao: "4"
            volume: "22"
            url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202012/ri202012p.pdf
            linkPaginaBC: https://www.bcb.gov.br/publicacoes/ri/202012
          - dataReferencia: "2020-09-24"
            identificador: "202009"
            descricao: O relatório de inflação apresenta as diretrizes das políticas
              adotadas pelo Copom, considerações acerca da evolução recente do
              cenário econômico e projeções para a inflação. As projeções são
              apresentadas em cenários com condicionantes para algumas variáveis
              econômicas. O Copom utiliza um conjunto amplo de modelos e
              cenários para orientar suas decisões de política monetária. Ao
              expor alguns desses cenários, o Copom procura dar maior
              transparência às decisões de política monetária, contribuindo para
              sua eficácia no controle da inflação, que é seu objetivo precípuo.
            issn: ISSN 1517-6576
            edicao: "3"
            volume: "21"
            url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202009/ri202009p.pdf
            linkPaginaBC: https://www.bcb.gov.br/publicacoes/ri/202009
          - dataReferencia: "2020-06-25"
            identificador: "202006"
            descricao: O relatório de inflação apresenta as diretrizes das políticas
              adotadas pelo Copom, considerações acerca da evolução recente do
              cenário econômico e projeções para a inflação. As projeções são
              apresentadas em cenários com condicionantes para algumas variáveis
              econômicas. O Copom utiliza um conjunto amplo de modelos e
              cenários para orientar suas decisões de política monetária. Ao
              expor alguns desses cenários, o Copom procura dar maior
              transparência às decisões de política monetária, contribuindo para
              sua eficácia no controle da inflação, que é seu objetivo precípuo.
            issn: ISSN 1517-6576
            edicao: "2"
            volume: "20"
            url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202006/ri202006p.pdf
            linkPaginaBC: https://www.bcb.gov.br/publicacoes/ri/202006
    exemplo_integrantes:
      value:
        conteudo:
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103inp.pdf
            nome: ri202103inp.pdf
            tamanho: "1547671"
            titulo: Índice
            dataReferencia: "2021-03-25"
            ordem: 1
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103sep.pdf
            nome: ri202103sep.pdf
            tamanho: "695098"
            titulo: Sumário executivo
            dataReferencia: "2021-03-25"
            ordem: 2
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103c1p.pdf
            nome: ri202103c1p.pdf
            tamanho: "1324091"
            titulo: Conjuntura econômica
            dataReferencia: "2021-03-25"
            ordem: 3
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103c2p.pdf
            nome: ri202103c2p.pdf
            tamanho: "1580224"
            titulo: Perspectivas para a inflação
            dataReferencia: "2021-03-25"
            ordem: 4
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103b1p.pdf
            nome: ri202103b1p.pdf
            tamanho: "798811"
            titulo: "Boxe: Revisão da projeção do PIB para 2021"
            dataReferencia: "2021-03-25"
            ordem: 5
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103b2p.pdf
            nome: ri202103b2p.pdf
            tamanho: "756300"
            titulo: "Boxe: Projeção para a evolução do crédito em 2021"
            dataReferencia: "2021-03-25"
            ordem: 6
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103b3p.pdf
            nome: ri202103b3p.pdf
            tamanho: "850400"
            titulo: "Boxe: Panorama do Investimento Direto no País e seu comportamento
              durante a pandemia"
            dataReferencia: "2021-03-25"
            ordem: 7
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103b4p.pdf
            nome: ri202103b4p.pdf
            tamanho: "791369"
            titulo: "Boxe: Projeções para as contas externas de 2021"
            dataReferencia: "2021-03-25"
            ordem: 8
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103b5p.pdf
            nome: ri202103b5p.pdf
            tamanho: "865025"
            titulo: "Boxe: Repasse de custos na indústria da transformação"
            dataReferencia: "2021-03-25"
            ordem: 9
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103b6p.pdf
            nome: ri202103b6p.pdf
            tamanho: "834410"
            titulo: "Boxe: Cenários alternativos de projeção de inflação: riscos fiscal e de
              agravamento adicional da pandemia"
            dataReferencia: "2021-03-25"
            ordem: 10
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103b7p.pdf
            nome: ri202103b7p.pdf
            tamanho: "868733"
            titulo: "Boxe: Decomposição da inflação de 2020"
            dataReferencia: "2021-03-25"
            ordem: 11
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103b8p.pdf
            nome: ri202103b8p.pdf
            tamanho: "873301"
            titulo: "Boxe: Volatilidade do câmbio no Brasil"
            dataReferencia: "2021-03-25"
            ordem: 12
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103b9p.pdf
            nome: ri202103b9p.pdf
            tamanho: "1288509"
            titulo: "Boxe: Novo modelo desagregado de pequeno porte"
            dataReferencia: "2021-03-25"
            ordem: 19
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202103/ri202103app.pdf
            nome: ri202103app.pdf
            tamanho: "704639"
            titulo: Apêndice
            dataReferencia: "2021-03-25"
            ordem: 20
    exemplo_futuros:
      value:
        conteudo:
          - evento: Relatório de Inflação
            dataEvento: "2021-09-30"
            descricao: BC divulga o Relatório Trimestral de Inflação
          - evento: Relatório de Inflação
            dataEvento: "2021-12-16"
            descricao: BC divulga o Relatório Trimestral de Inflação
